package com.qmth.distributed.print.business.bean.upgrade;

import java.util.List;

public class Mainfest {

    private String version;
    private Integer build;
    private String platform;
    private Integer supportMin;
    private List<MainfestApp> app;
    private MainfestScript script;
    private List<String> data;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Integer getBuild() {
        return build;
    }

    public void setBuild(Integer build) {
        this.build = build;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public Integer getSupportMin() {
        return supportMin;
    }

    public void setSupportMin(Integer supportMin) {
        this.supportMin = supportMin;
    }

    public List<MainfestApp> getApp() {
        return app;
    }

    public void setApp(List<MainfestApp> app) {
        this.app = app;
    }

    public MainfestScript getScript() {
        return script;
    }

    public void setScript(MainfestScript script) {
        this.script = script;
    }

    public List<String> getData() {
        return data;
    }

    public void setData(List<String> data) {
        this.data = data;
    }
}
